Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.soa.esb.util
Enum FtpClientUtil.XFER_TYPE

    java.lang.Object
      java.lang.Enum<FtpClientUtil.XFER_TYPE>
          org.jboss.soa.esb.util.FtpClientUtil.XFER_TYPE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FtpClientUtil.XFER_TYPE>

Enclosing class:
  FtpClientUtil

    public static enum FtpClientUtil.XFER_TYPE

extends java.lang.Enum<FtpClientUtil.XFER_TYPE>

Enum Constant Summary
`ascii`
`binary`

Method Summary
`static FtpClientUtil.XFER_TYPE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FtpClientUtil.XFER_TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ascii

    public static final FtpClientUtil.XFER_TYPE ascii

### binary

    public static final FtpClientUtil.XFER_TYPE binary

Method Detail

### values

    public static final FtpClientUtil.XFER_TYPE[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(FtpClientUtil.XFER_TYPE c : FtpClientUtil.XFER_TYPE.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static FtpClientUtil.XFER_TYPE valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD